extends Node

const ERROR_404_MAP = preload("uid://durt8y2ovs6me")
const TITLE_SCREEN = preload("uid://be4nw563yydcr")
const HOME_01 = preload("uid://laxewy7irxno")
const PATH_TO_DUNGEON_01 = preload("uid://b07m0k40dh042")
const SHOP = preload("uid://bwt0ijoq4qmhn")

@onready var mapping := {
	Enums.MapIds.ERROR_404: ERROR_404_MAP,
	Enums.MapIds.TITLE_SCREEN: TITLE_SCREEN,
	Enums.MapIds.SHOP_01: SHOP,
	Enums.MapIds.PATH_TO_FOREST_DUNGEON_01: PATH_TO_DUNGEON_01,
	Enums.MapIds.PATH_TO_FOREST_HOME_01: HOME_01
}

var _spawn_marker: String

# Public Methods
func GetMap(map_id: Enums.MapIds) -> PackedScene:
	return mapping[map_id]


func SetSpawnMarker(marker_name: String) -> void:
	_spawn_marker = marker_name


func GetSpawnMarker() -> String:
	return _spawn_marker
